org.springframework.data.relational.core.sql

## Interface DeleteBuilder

    public interface DeleteBuilder

Entry point to construct a `Delete` statement.

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `StatementBuilder`

### Nested Class Summary

Nested Classes
`static interface` `DeleteBuilder.BuildDelete` Interface exposing the `Delete` build method.
`static interface` `DeleteBuilder.DeleteWhere` Interface exposing `WHERE` methods.
`static interface` `DeleteBuilder.DeleteWhereAndOr` Interface exposing `AND`/`OR` combinator methods for `WHERE` `Condition`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`DeleteBuilder.DeleteWhere` `from(Table table)` Declare a `Table` for `DELETE FROM`.

### Method Detail

#### from

    DeleteBuilder.DeleteWhere from(Table table)

Declare a `Table` for `DELETE FROM`.

Parameters:
  `table` - the table to `DELETE FROM` must not be null.
Returns:
  `this` builder.
See Also:
  `From`, `SQL.table(String)`